/* all games card list start */
.all-games {
  padding: 0 15px 10px;
}
.all-games h2,
.featured h2 {
  margin-bottom: 10px;
  /* line-height: 38px; */
  color: #000;
  font-weight: 500;
  font-size: 16px;
}
.all-games .game-item {
  margin-bottom: 16px;
  border-radius: 4px;
  width: 49.99%;
}
.all-games .game-item:nth-child(2n+1){
  padding-right: 15px;
  float: left;
}
.all-games .game-item:nth-child(2n){
  padding-left: 15px;
  float: right;
}
.all-games .game-item a {
  display: block;
}
.all-games .game-item a .icon {
  border-radius: 6px 6px 0 0;
  padding-top: 80%;
  background-size: cover;
  background-position: center;
  background-color: rgba(0,0,0,0.3);
}
.all-games .game-item .content {
  padding: 8px;
  background-color: rgba(0,0,0,.1);
  border-radius: 0 0 6px 6px;
}
.all-games .game-item .content .title {
  color: #000;
  margin: 3.2px 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 14px;
  line-height: 19.2px;
}
.all-games .game-item .content .cate {
  color: #000;
  font-size: 12px;
  opacity: .7;
  overflow: hidden;
}
.all-games .all-games-container {
  overflow: hidden;
}
.all-games .nodata {
  text-align: center;
  font-size: 15px;
  line-height: 35px;
  color: #666;
  display: none;
}
.all-games .nodata.show {
  display: block;
}
.all-games .btn.hide {
  display: none;
}
.all-games .btn {
  display: block;
  cursor: pointer;
  background-color: #1883DE;
  border-color: transparent;
  color: #fff;
  font-size: 18px;
  text-transform: uppercase;
  display: block;
  width: 100%;
  padding: 8px 16px;
  line-height: 24px;
  border-radius: 5.333px;
  font-weight: 400;
  text-align: center;
  white-space: nowrap;
  border: 1px solid transparent;
  outline:none;
}
/* all games card list end */

/* banner start */
.banner.swiper-container {
  /* height: 110px; */
  /* height: 0;
  padding-bottom: 27.8481%; */
  margin: 12px 15px;
  border-radius: 8px;
  box-shadow: 0px 0px 8px rgba(0,0,0,0.3);
  background-color: #eee;
}
.banner.swiper-container .swiper-slide a {
  display: block;
  /* height: 110px; */
  height: 0;
  padding-bottom: 27.8481%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  background-color: #eee;
}
.banner .swiper-button-prev {
  background: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E") no-repeat center/20px 20px;
  left: 0;
  opacity: .6;
}
.banner .swiper-button-next {
  background: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E") no-repeat center/20px 20px;
  right: 0;
  opacity: .6;
}
.banner .swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  background: #007aff;
  opacity: .4;
  outline: none;
  -webkit-tap-highlight-color: transparent;
}
.banner .swiper-pagination-bullet-active {
  opacity: 1;
}
.banner.swiper-container-horizontal>.swiper-pagination-bullets, .swiper-pagination-custom, .swiper-pagination-fraction{
  bottom: 8px;
}
/* banner end */

/* featured start */
.featured {
  margin-bottom: 15px;
}
.featured h2 {
  padding: 0 15px;
}
.featured .container {
  padding: 0 10px;
  overflow: hidden;
}
.featured .container li {
  width: 25%;
  float: left;
  padding: 0 10px;
}
.featured .container li a {
  display: block;
  position: relative;
  padding-top: 128%;
}
.featured .container li a div {
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.featured .container li .img {
  padding-top: 100%;
  border-radius: 50%;
  width: 100%;
  position: absolute;
  top: 0;
  z-index: 1;
}
.featured .container li .name {
  padding-top: 54.2%;
  width: 100%;
  position: absolute;
  bottom: 0;
  z-index: 2;
}
/* featured end */

/* 类别 start */
.cates {
  height: 55px;
  margin: 0 15px 12px;
}
.cates a {
  width: 20%;
  float: left;
  position: relative;
  text-align: center;
}
.cates a i {
  display: block;
  margin: 0 auto;
  width: 32px;
  height: 24px;
  border-style: solid;
  border-width: 1px;
  border-radius: 50%;
  text-align: center;
  padding-top: 8px;
}
.cates a span {
  font-size: 12px;
  color: #000;
  line-height: 16.8px;
}
.all-games+hr {
  margin: 10px 15px;
}
/* 类别 end */

/* loading */
.featured .name-1,
.featured .name-2 {
  height: 15px;
  width: 100%;
  position: absolute;
}
.featured .name-1 {
  bottom: 18px;
}
.featured .name-2 {
  bottom: 0;
}
.cates a i.img {
  border-color: transparent;
}
.cates a span.txt {
  display: block;
  height: 10px;
  width: 80%;
  margin: 4px auto 0;
}

.games-loading {
  overflow: hidden;
}
.games-loading.none {
  display: none;
}
/* banner swiper */
.swiper-container {
  margin: 0 auto;
  position: relative;
  overflow: hidden;
  list-style: none;
  padding: 0;
  z-index: 1;
}
.swiper-wrapper {
  position: relative;
  width: 100%;
  /* height: 100%; */
  height: 0;
  padding-bottom: 27.8481%;
  z-index: 1;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  transition-property: -webkit-transform;
  -webkit-transition-property: -webkit-transform;
  -o-transition-property: transform;
  transition-property: transform;
  transition-property: transform,-webkit-transform;
  -webkit-box-sizing: content-box;
  box-sizing: content-box;
  will-change: transform;
}
.swiper-wrapper.ani {
  transition-duration: 500ms;
  -webkit-transition-duration: 500ms;
  -o-transition-duration: 500ms;
}
.swiper-slide {
  -webkit-flex-shrink: 0;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  width: 100%;
  /* height: 100%; */
  height: 0;
  padding-bottom: 27.8481%;
  position: relative;
  -webkit-transition-property: -webkit-transform;
  transition-property: -webkit-transform;
  -o-transition-property: transform;
  transition-property: transform;
  transition-property: transform,-webkit-transform;
}
.swiper-button-next, .swiper-container-rtl .swiper-button-prev {
  right: 10px;
  left: auto;
}
.swiper-button-next, .swiper-button-prev {
  position: absolute;
  top: 50%;
  width: 27px;
  height: 44px;
  margin-top: -22px;
  z-index: 10;
  cursor: pointer;
  background-size: 27px 44px;
  background-position: center;
  background-repeat: no-repeat;
}
.swiper-pagination-clickable .swiper-pagination-bullet {
  cursor: pointer;
}
.swiper-pagination-bullet {
  width: 8px;
  height: 8px;
  display: inline-block;
  border-radius: 100%;
  background: #000;
  opacity: .2;
  margin: 0 3px;
}
.swiper-pagination {
  position: absolute;
  left:0;
  bottom: 8px;
  width: 100%;
  text-align: center;
  -webkit-transition: .3s opacity;
  -o-transition: .3s opacity;
  transition: .3s opacity;
  -webkit-transform: translate3d(0,0,0);
  transform: translate3d(0,0,0);
  z-index: 10;
}